[changes]
* Report Repository: It is possible to host a report repository on a running i-net Crystal-Clear Plus server.
* Remote Data Source Manager: There is now a new remote module for configuring and managing a server's data sources.
* PDF export:
  * It is now possible to export EUDC characters in PDF files.
  * Interface CertificateInfoFactory added. With your own CertificateInfoFactory it is possible to use multiple certificates for signing PDF files instead of the one stored in configuration.
* Implementation of the ToWords function for Spanish and Russian language added.
* New methods RDC.loadEngineFromDir and RDC.saveEngineToDir added to API. With these methods it is possible to save/load a report as directory instead of a zipped rpt file.
* Package "com.inet.report.translation" added to the API. With the translation API it is possible to create one report for different languages. Whole paragraphs can be translated and it is possible to translate a single report, multiple reports and all reports.
* Text Interpretation HTML (advanced) now fully supports row and column backgrounds (color and images) in tables.
* Formula:
  * Formula now supports regular expressions via the matches function.
  * New formula function: hasValue.
  * Formula: date +/- number now accepts a fractional number of days as well.
* Crosstab now supports grouping by date and time.
* Text Interpretation HTML (advanced): The Advanced-HTML Renderer (JWebEninge) now supports absolute and relative positioning of HTML elements.
* The database connection that was set was not used after RDC.saveEngine was called to save the report before execution.
* The report url parameter 'stopAfterPage' is now allowed by default. 
* Property "codepage" added for text export.
* Language Resources per report or per several reports. Translations can be done using API or translations dialog in i-net Designer.
* Trailing white spaces in datatype columns with type char are truncated.
* The text alignment "standard" (usually right for number, left for all other value types) is now stored as a separate alignment type instead of the setting being replaced with the "real" alignment right after storing it.
* Charts: The properties 'draw connected lines' and 'draw out of range' supported for continuous line charts.
* Repository: It is now possible to change the permissions of reports for the selected folder in the remote repository browser.
* Command line parameters "-importDatasource <scope> <file>" and "-forceImportDatasource <scope> <file>" added. With these command line parameters it is possible to import a datasource configuration file (which you can create using the Data Source Manager or API) into a specific scope.
* Excel export: Property "CellDistribution" added. It determines how to distribute text to Excel cells if the text does not fit a simple cell.
* The ReportServlet now accepts the X-Forwarded-* header values send by proxys. With these header values it is possible to determine the correct client links in, e.g. the servers startpage.
* Fields with HTML (set to be interpreted with "HTML(advanced)" now have clickable links in all formats supporting links, such as the Java viewer, HTML, PDF, and RTF.
* Summary functions were completely reworked to optimize the performance and compatibility.
* The files "startListener.sh" und "stopListener.sh" will be installed on Linux and Mac OS.
* On Linux and Mac OS it is now possible to execute the command "sh Listener.sh start|stop|restart".

#### API Changes
* Added Classes
  * com.inet.report.certificate.CertificateInfoFactory
  * com.inet.report.certificate.CertificateInfo
  * com.inet.report.SignatureForm
  * com.inet.report.translation.Translations
  * com.inet.report.translation.Translator
* Added Methods
  * com.inet.report.Engine
    * getTranslations()
  * com.inet.report.FormulaField
    * getTranslationKeys()
    * usesSummaryFields()
  * com.inet.report.Paragraph
    * moveParts(int, Paragraph, int, int)
    * normalize(boolean)
  * com.inet.report.RDC
    * loadEngineFromDir(File)
    * saveEngineToDir(File, Engine)
    * getCertificateFactory()
    * setCertificateInfoFactory(CertificateInfoFactory)
* Methods and Constants deprecated as of Version 9.1
  * com.inet.report.Paragraph
    * normalize()

#### External Libraries
* JFreeChart updated with version 1.0.12.2.
* Echo2 updated with version 2.1.1.
* i-net Sprinta replaced with i-net Merlia.
* i-net Sero replaced with i-net Oranxo.

## i-net Crystal-Clear - Java Viewer
* Russian translation of the GUI added.
* New API method "ViewerContext.showUrl". It is now possible to implement your own "showURL" method for the viewer which is called any time a user clicks on a link in a report.
* Export dialog: Property "Codepage" added for text export.
* The Java report viewer applet now accepts the parameter DefaultZoom. 

#### API Changes
* Added Methods
  * com.inet.viewer.ViewerContext
    * showUrl="../../java.lang.String-java.util.Properties"

### i-net DesignerXML
* Repository Browser: Reports can be downloaded from the repository and stored in the repository. Reports loaded from repository will be executed on the repository server and not within the designer, but the rendering result will be displayed in the designer.
* Configuration Manager: Keyboard control on Mac has been improved.
* Shortcut "CTRL+W" added for the menu item "File | Close".
* DesignerDataModel.getAvailableFonts added to control the fonts that can be used in reports.
* In the designer GUI it is now possible to easily insert a watermark to the report header or page header.
* Positioning of dialogs has been improved. They are centered on the parent dialog.
* The document properties dialog in i-net DesignerXML now displays the report creation and modification time in greater detail.
* It is now possible to save and load reports as directory instead of the zipped file format. This can be useful if you use, e.g. a version control system for your reports.
* Chart Properties: For combined charts it is now possible to switch between discrete and continuous axis and between horizontal and vertical chart types.
* Errors which occur while saving a report in the designer are now displayed in the status bar rather than only logged in the system log.
* Translation GUI added to manage the translations of the report.
* Signature element can be added to the report. It is useful for reports that will be exported to PDF.
* Entries "Insert" and "Insert Symbol" added to the drop down menu of a text element.
* New property "Save data source configuration in report file" added to the document properties.
* Copy & Paste behavior in text elements has been improved. The interoperability with other applications has been improved and it is now possible to insert parts of a text element into a new text element.
* Repository:
  * Reports from a repository, opened in i-net Designer XML, are now executed with the locale of the client running the designer application.
  * With i-net DesignerXML it is now possible to access the https URL of a WebDav repository. 

#### API Changes
* Added Methods
  * com.inet.designer.DesignerDataModel
    * getAvailableFonts()

[changes:de]
* Berichts-Repository: Es ist möglich, ein Berichts-Repository auf einem laufenden i-net Crystal-Clear Plus-Server zu hosten.
* Remote-Datenquellen-Manager: Es gibt jetzt ein neues Remote-Modul zum Konfigurieren und Verwalten der Datenquellen eines Servers.
* PDF-Export:
  * Es ist jetzt möglich, EUDC-Zeichen in PDF-Dateien zu exportieren.
  * Schnittstelle CertificateInfoFactory hinzugefügt. Mit einer eigenen CertificateInfoFactory ist es möglich, mehrere Zertifikate zum Signieren von PDF-Dateien zu verwenden, anstatt eines in der Konfiguration gespeicherten.
* Implementierung der ToWords-Funktion für Spanisch und Russisch hinzugefügt.
* Neue Methoden RDC.loadEngineFromDir und RDC.saveEngineToDir zur API hinzugefügt. Mit diesen Methoden ist es möglich, einen Bericht als Verzeichnis anstelle einer gezippten rpt-Datei zu speichern/laden.
* Das Paket "com.inet.report.translation" wurde zur API hinzugefügt. Mit der Übersetzungs-API ist es möglich, einen Bericht für verschiedene Sprachen zu erstellen. Ganze Absätze können übersetzt werden und es ist möglich, einen einzelnen Bericht, mehrere Berichte und alle Berichte zu übersetzen.
* Textinterpretation HTML (erweitert) unterstützt jetzt vollständig Zeilen- und Spaltenhintergründe (Farbe und Bilder) in Tabellen.
* Formeln:
  * Die Formel unterstützt jetzt reguläre Ausdrücke über die Funktion matches.
  * Neue Formelfunktion: hasValue.
  * Formel: Datum +/- Zahl akzeptiert jetzt auch eine gebrochene Anzahl von Tagen.
* Kreuztabelle unterstützt jetzt die Gruppierung nach Datum und Zeit.
* Textinterpretation HTML (erweitert): Der Advanced-HTML Renderer (JWebEninge) unterstützt nun die absolute und relative Positionierung von HTML-Elementen.
* Die eingestellte Datenbankverbindung wurde nicht verwendet, nachdem RDC.saveEngine aufgerufen wurde, um den Bericht vor der Ausführung zu speichern.
* Der report url Parameter 'stopAfterPage' ist nun standardmäßig erlaubt.
* Die Eigenschaft "codepage" wurde für den Textexport hinzugefügt.
* Sprachressourcen pro Bericht oder für mehrere Berichte. Übersetzungen können über die API oder den Übersetzungsdialog im i-net Designer vorgenommen werden.
* Nachfolgende Leerzeichen in Datentyp-Spalten mit Typ char werden abgeschnitten.
* Die Textausrichtung "Standard" (in der Regel rechts für Zahlen, links für alle anderen Wertetypen) wird nun als separater Ausrichtungstyp gespeichert, anstatt dass die Einstellung direkt nach dem Speichern durch die "echte" Ausrichtung ersetzt wird.
* Diagramme: Die Eigenschaften "Zusammenhängende Linien zeichnen" und "Außerhalb des Bereichs zeichnen" werden für durchgehende Liniendiagramme unterstützt.
* Repository: Es ist jetzt möglich, die Berechtigungen von Berichten für den ausgewählten Ordner im Browser des entfernten Repositorys zu ändern.
* Befehlszeilenparameter "-importDatasource <Bereich> <Datei>" und "-forceImportDatasource <Bereich> <Datei>" hinzugefügt. Mit diesen Befehlszeilenparametern ist es möglich, eine Datenquellenkonfigurationsdatei (die Sie mit dem Datenquellenmanager oder der API erstellen können) in einen bestimmten Bereich zu importieren.
* Excel-Export: Eigenschaft "CellDistribution" hinzugefügt. Sie bestimmt, wie der Text auf Excel-Zellen verteilt werden soll, wenn der Text nicht in eine einfache Zelle passt.
* Das ReportServlet akzeptiert nun die von proxys gesendeten X-Forwarded-* Header-Werte. Mit diesen Header-Werten ist es möglich, die korrekten Client-Links in z.B. der Server-Startseite zu ermitteln.
* Felder mit HTML (interpretiert mit "HTML(advanced)") haben nun klickbare Links in allen Formaten, die Links unterstützen, wie z.B. der Java-Viewer, HTML, PDF und RTF.
* Die Zusammenfassungsfunktionen wurden komplett überarbeitet, um die Leistung und Kompatibilität zu optimieren.
* Die Dateien "startListener.sh" und "stopListener.sh" werden auf Linux und Mac OS installiert.
* Unter Linux und Mac OS ist es nun möglich, den Befehl "sh Listener.sh start|stop|restart" auszuführen.

#### API-Änderungen
* Klassen hinzugefügt
  * com.inet.report.certificate.CertificateInfoFactory
  * com.inet.report.certificate.CertificateInfo
  * com.inet.report.SignatureForm
  * com.inet.report.translation.Translations
  * com.inet.report.translation.Translator
* Hinzugefügte Methoden
  * com.inet.report.Engine
    * getTranslations()
  * com.inet.report.FormulaField
    * getTranslationKeys()
    * usesSummaryFields()
  * com.inet.report.Paragraph
    * moveParts(int, Absatz, int, int)
    * normalize(boolean)
  * com.inet.report.RDC
    * loadEngineFromDir(Datei)
    * saveEngineToDir(Datei, Engine)
    * getCertificateFactory()
    * setCertificateInfoFactory(CertificateInfoFactory)
* Methoden und Konstanten, die ab Version 9.1 veraltet sind
  * com.inet.report.Paragraph
    * normalize()

#### Externe Bibliotheken
* JFreeChart aktualisiert mit Version 1.0.12.2.
* Echo2 aktualisiert mit Version 2.1.1.
* i-net Sprinta ersetzt durch i-net Merlia.
* i-net Sero ersetzt durch i-net Oranxo.

## i-net Crystal-Clear - Java Viewer
* Russische Übersetzung der GUI hinzugefügt.
* Neue API-Methode "ViewerContext.showUrl". Es ist jetzt möglich, eine eigene "showURL"-Methode für den Viewer zu implementieren, die immer dann aufgerufen wird, wenn ein Benutzer auf einen Link in einem Bericht klickt.
* Export-Dialog: Eigenschaft "Codepage" für den Textexport hinzugefügt.
* Das Java Report Viewer Applet akzeptiert jetzt den Parameter DefaultZoom.

#### API-Änderungen
* Hinzugefügte Methoden
  * com.inet.viewer.ViewerContext
    * showUrl="../../java.lang.String-java.util.Properties"

### i-net DesignerXML
* Repository-Browser: Berichte können aus dem Repository heruntergeladen und im Repository gespeichert werden. Aus dem Repository geladene Berichte werden auf dem Repository-Server und nicht im Designer ausgeführt, aber das Rendering-Ergebnis wird im Designer angezeigt.
* Konfigurations-Manager: Die Tastatursteuerung auf dem Mac wurde verbessert.
* Shortcut "CTRL+W" für den Menüpunkt "Datei | Schließen" hinzugefügt.
* DesignerDataModel.getAvailableFonts hinzugefügt, um die Schriftarten zu kontrollieren, die in Berichten verwendet werden können.
* In der Designer-GUI ist es nun möglich, auf einfache Weise ein Wasserzeichen in den Berichtskopf oder Seitenkopf einzufügen.
* Die Positionierung von Dialogen wurde verbessert. Sie werden nun auf dem übergeordneten Dialog zentriert.
* Das Dialogfeld "Dokumenteigenschaften" in i-net DesignerXML zeigt jetzt die Erstellungs- und Änderungszeit des Berichts detaillierter an.
* Es ist jetzt möglich, Berichte als Verzeichnis zu speichern und zu laden, anstatt das gezippte Dateiformat zu verwenden. Dies kann nützlich sein, wenn Sie z.B. ein Versionskontrollsystem für Ihre Berichte verwenden.
* Diagramm-Eigenschaften: Bei kombinierten Diagrammen ist es jetzt möglich, zwischen diskreten und kontinuierlichen Achsen und zwischen horizontalen und vertikalen Diagrammtypen zu wechseln.
* Fehler, die beim Speichern eines Berichts im Designer auftreten, werden jetzt in der Statusleiste angezeigt und nicht mehr nur im Systemprotokoll protokolliert.
* Übersetzungs-GUI hinzugefügt, um die Übersetzungen des Berichts zu verwalten.
* Ein Signaturelement kann dem Bericht hinzugefügt werden. Dies ist nützlich für Berichte, die als PDF exportiert werden sollen.
* Die Einträge "Einfügen" und "Symbol einfügen" wurden zum Dropdown-Menü eines Textelements hinzugefügt.
* Neue Eigenschaft "Datenquellenkonfiguration in Berichtsdatei speichern" zu den Dokumenteigenschaften hinzugefügt.
* Das Verhalten von Kopieren und Einfügen in Textelementen wurde verbessert. Die Interoperabilität mit anderen Anwendungen wurde verbessert und es ist nun möglich, Teile eines Textelements in ein neues Textelement einzufügen.
* Repository:
  * Berichte aus einem Repository, die in i-net Designer XML geöffnet werden, werden jetzt mit dem Gebietsschema des Clients ausgeführt, auf dem die Designer-Anwendung läuft.
  * Mit i-net DesignerXML ist es jetzt möglich, auf die https-URL eines WebDav-Repositorys zuzugreifen.

#### API-Änderungen
* Methoden hinzugefügt
  * com.inet.designer.DesignerDataModel
    * getAvailableFonts()

[bugfixes]
* Non-ASCII characters in parameter field names are not displayed correctly in the HTML Parameter Request dialog.
* An error occurred if a very long integer number was used in a formula.
* HTML Parameter Request dialog: Non-ASCII characters in parameter field names was not displayed correctly.
* Text Interpretation RTF: Style name in the style group was written as text.
* Formula function "groupName" returned sometimes a value with other type than text.
* Grouping of strings with umlauts was wrong.
* Currency fields being displayed without a currency symbol in reports created with an older version of i-net Crystal-Clear.
* Changing the log level on a running server did not cause any changes without a server restart. Any change now has an effect "on-the-fly".
* Excel export: 
  * Background color of the first column was removed during export to Excel.
  * For reports with multi-column or label layout the width of the last column was equals to the width of the report. 
* ReportReader:
  *  The ReportReader was not able to read Crystal Reports templates with certain group properties due to the error "The object reference was not linked to an object instance.".
  * There were encoding problems when opening a Crystal Reports template in i-net Designer on a system with Crystal Reports version XI Release 1 or lower. This led to special characters such as Umlauts being displayed as "?" or other symbols.
  * The Auto-title property of chart axes in Crystal Reports templates was not read correctly by the ReportReader.
  * Summary Fields as Field Parts were not correctly read from Crystal Reports templates, they instead showed up as unknown fields.
  * Fields with their format set to "Custom format" were not correctly read from Crystal Reports templates. This has been fixed.
* The following exception occurred with mailing label reports: "Invalid render state. Page already finished."
* The property "Reset Page Number After" was ignored in suppressed sections and sections without height.
* PDF export: 
    * The calculation of the font metrics for some Chinese fonts was wrong. Therefore it could occur that characters were overlapped by other characters.
    * Fonts were not reloaded from FontPath directory after the configuration has changed.
* Exceptions or wrong results occurred if setField(DateTime) was used on a crosstab.
* In rare cases it was possible for a report to be saved as a corrupt file if there was an error in the data source configuration set for the report.
* Field objects in text fields which only contained a single line break were ignored.
* The link "Website" in the Info dialog has not worked correctly on Linux with Java 5.
* XLS export: Underlay following section has not worked. No underlaying was performed in xls file.
* StackOverflowError occurred if nested if-then-else statements used in formulas.
* Specification of the sample report in the Sample.jsp was wrong. The method "put" was used instead of "setProperty".

## i-net Crystal-Clear - Java Viewer
* The font size of EUDC characters was calculated incorrectly if "Font Auto Scaling" was enabled.
* A custom ViewerContext that was set with setViewerContext was replaced by a default context after adding the viewer to a Swing frame. This caused methods such as "showError" to continue to have their default behavior.
* Wrong order of group tree nodes occurred. Chield nodes has been displayed, although the parent nodes has been suppressed.
* NullPointerException occurred when export button is pressed (dialog doesn't appear at all).
* Various keyboard shortcuts did not work if viewer runs on Mac OS.

# i-net DesignerXML
* Sometimes, modifications on default values for number elements has changed the default values for currency elements, also.
* Visual Database Wizard: When adding a new connection to a main report which contained a sub-report, the user was incorrectly asked whether the sub-report connection was to be changed.
* Formula Editor:
  * Basic formulas will now be forced to assign the 'formula' variable. There is no 'value of the last line' fallback anymore.
  * The horizontal align formula for picture elements offered "justified" as a possible constant though this made no sense.
* Group Dialog: Report error "Wrong group number" occurred when trying to remove groups in sub-report.
* When working with reports in i-net DesignerXML, the document property "last modified" was not kept up-to-date, i.e. it always remained the same as the creation date.
* Special field "Current User Name" was not included in the tree of the field browser.
* A regression was fixed in that setting a number field to have a "custom" number format was not saved in the report.
* The help article in the Designer to currency fields stated wrongly that "floating" currency style is not supported by i-net Crystal-Clear while "fixed" is. It is the other way around, this has been corrected.
* A number of layouting errors in the text element has been fixed. 
* Text element:
  * A lot of bugs in the text element has been fixed.
  * The behavior of the cursor was incorrect in a text element if the text was rotated.

[bugfixes:de]
* Nicht-ASCII-Zeichen in Parameterfeldnamen werden im Dialog HTML-Parameteranfrage nicht korrekt angezeigt.
* Ein Fehler trat auf, wenn eine sehr lange Ganzzahl in einer Formel verwendet wurde.
* HTML-Parameter-Anfrage-Dialog: Nicht-ASCII-Zeichen in Parameterfeldnamen wurden nicht korrekt angezeigt.
* Textinterpretation RTF: Stilname in der Stilgruppe wurde als Text geschrieben.
* Die Formelfunktion "groupName" gab manchmal einen Wert mit einem anderen Typ als Text zurück.
* Gruppierung von Strings mit Umlauten war falsch.
* Währungsfelder wurden in Berichten, die mit einer älteren Version von i-net Crystal-Clear erstellt wurden, ohne Währungssymbol angezeigt.
* Das Ändern der Protokollebene auf einem laufenden Server führte ohne einen Neustart des Servers zu keinen Änderungen. Jede Änderung wirkt sich nun "on-the-fly" aus.
* Excel-Export:
  * Die Hintergrundfarbe der ersten Spalte wurde beim Export nach Excel entfernt.
  * Bei Berichten mit mehrspaltigem oder Label-Layout entspricht die Breite der letzten Spalte nun der Breite des Berichts.
* ReportReader:
  *  Der ReportReader war nicht in der Lage, Crystal Reports Vorlagen mit bestimmten Gruppeneigenschaften zu lesen, da die Fehlermeldung "Die Objektreferenz war nicht mit einer Objektinstanz verknüpft." auftrat.
  * Es gab Kodierungsprobleme beim Öffnen einer Crystal Reports-Vorlage im i-net Designer auf einem System mit Crystal Reports Version XI Release 1 oder niedriger. Dies führte dazu, dass Sonderzeichen wie Umlaute als "?" oder andere Symbole angezeigt wurden.
  * Die Auto-Title-Eigenschaft von Diagrammachsen in Crystal-Reports-Vorlagen wurde vom ReportReader nicht korrekt gelesen.
  * Zusammenfassungsfelder als Feldteile wurden nicht korrekt aus Crystal Reports-Vorlagen gelesen, sondern als unbekannte Felder angezeigt.
  * Felder, deren Format auf "Benutzerdefiniertes Format" eingestellt war, wurden nicht korrekt aus Crystal Reports-Vorlagen ausgelesen. Dies wurde behoben.
* Die folgende Ausnahme trat bei Versandetikettenberichten auf: "Ungültiger Renderstatus. Seite bereits fertig."
* Die Eigenschaft "Seitenzahl zurücksetzen nach" wurde in unterdrückten Abschnitten und Abschnitten ohne Höhe ignoriert.
* PDF-Export:
    * Die Berechnung der Schriftmetriken für einige chinesische Schriftarten war falsch. Daher konnte es vorkommen, dass Zeichen von anderen Zeichen überlagert wurden.
    * Schriften wurden nach einer Konfigurationsänderung nicht aus dem FontPath-Verzeichnis neu geladen.
* Ausnahmen oder falsche Ergebnisse traten auf, wenn setField(DateTime) in einer Kreuztabelle verwendet wurde.
* In seltenen Fällen konnte es vorkommen, dass ein Bericht als beschädigte Datei gespeichert wurde, wenn ein Fehler in der Konfiguration der Datenquelle für den Bericht auftrat.
* Feldobjekte in Textfeldern, die nur einen einzigen Zeilenumbruch enthielten, wurden ignoriert.
* Der Link "Website" im Info-Dialog hat unter Linux mit Java 5 nicht korrekt funktioniert.
* XLS-Export: Unterlegen des folgenden Abschnitts hat nicht funktioniert. Es wurde kein Underlaying in der xls-Datei durchgeführt.
* StackOverflowFehler trat auf, wenn verschachtelte if-then-else-Anweisungen in Formeln verwendet wurden.
* Die Spezifikation des Beispielberichts in der Sample.jsp war falsch. Die Methode "put" wurde anstelle von "setProperty" verwendet.

## i-net Crystal-Clear - Java Viewer
* Die Schriftgröße von EUDC-Zeichen wurde falsch berechnet, wenn "Font Auto Scaling" aktiviert war.
* Ein benutzerdefinierter ViewerContext, der mit setViewerContext gesetzt wurde, wurde durch einen Standardkontext ersetzt, nachdem der Viewer zu einem Swing-Frame hinzugefügt wurde. Dies führte dazu, dass Methoden wie "showError" weiterhin ihr Standardverhalten hatten.
* Die Reihenfolge der Gruppenbaumknoten war falsch. Chield-Knoten wurden angezeigt, obwohl die Elternknoten unterdrückt wurden.
* NullPointerException trat auf, wenn die Export-Schaltfläche gedrückt wurde (der Dialog erscheint nicht).
* Verschiedene Tastaturkürzel funktionierten nicht, wenn der Viewer unter Mac OS läuft.

# i-net DesignerXML
* Manchmal haben Änderungen an Standardwerten für Zahlenelemente auch die Standardwerte für Währungselemente verändert.
* Visueller Datenbank-Assistent: Beim Hinzufügen einer neuen Verbindung zu einem Hauptbericht, der einen Unterbericht enthielt, wurde der Benutzer fälschlicherweise gefragt, ob die Verbindung des Unterberichts geändert werden sollte.
* Formel-Editor:
  * Grundlegende Formeln werden jetzt gezwungen, die 'Formel'-Variable zuzuweisen. Es gibt keinen Fallback 'Wert der letzten Zeile' mehr.
  * Die Formel für die horizontale Ausrichtung von Bildelementen bot als mögliche Konstante "justified" an, obwohl dies keinen Sinn machte.
* Gruppendialog: Der Berichtsfehler "Falsche Gruppennummer" trat auf, wenn man versuchte, Gruppen in einem Unterbericht zu entfernen.
* Beim Arbeiten mit Berichten in i-net DesignerXML wurde die Dokumenteigenschaft "letzte Änderung" nicht aktuell gehalten, d.h. sie blieb immer gleich dem Erstellungsdatum.
* Das Spezialfeld "Aktueller Benutzername" wurde nicht in den Baum des Feldbrowsers aufgenommen.
* Ein Fehler wurde behoben, bei dem die Einstellung eines Zahlenfeldes auf ein "benutzerdefiniertes" Zahlenformat nicht im Bericht gespeichert wurde.
* Der Hilfe-Artikel im Designer zu Währungsfeldern gab fälschlicherweise an, dass der "gleitende" Währungsstil von i-net Crystal-Clear nicht unterstützt wird, der "feste" hingegen schon. Es ist genau andersherum, dies wurde korrigiert.
* Eine Reihe von Layout-Fehlern im Textelement wurde behoben.
* Text-Element:
  * Eine Reihe von Fehlern im Textelement wurde behoben.
  * Das Verhalten des Cursors in einem Textelement war nicht korrekt, wenn der Text gedreht wurde.

[security]

[security:de]
